---
title: Products
slug: products
createdAt: 2026-10-20T09:51:11.729Z
---

{
  "id": "BUMp7maQ1KaFuat02JowL",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://tnapi.ticketpay.de/exports/products",
    "servers": [
      {
        "url": "https://tnapi.ticketpay.de/exports/products",
        "description": "The production API server"
      }
    ],
    "name": "Products",
    "description": "<p>With this endpoint you can get a list of your acticles and packages, offered in the event shop. The default output is JSON.\nFor results in a CSV file please extend the url with .csv\nIf you use time filter please note that this is used by default to the 'updated_iso' field. If you wish to use it to the 'created_iso' field please use filter_by parameter.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "Authorization",
          "type": "string",
          "description": "<p>To authentificate please use your API-KEY created here <a href=\"https://iam.ticketpay.de/api-keys\" target=\"_blank\">https://iam.ticketpay.de/api-keys</a>. Please give this API-KEY the role Export.</p>"
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "from",
          "type": "string",
          "example": "2025-05-01T00:00:00.000",
          "description": "<p>A date or datetime parameter to select the data start with this date. In default this filter is used in the field updated_iso.</p>"
        },
        {
          "kind": "optional",
          "name": "to",
          "type": "string",
          "example": "2025-05-05",
          "description": "<p>A date or datetime parameter to select the data end with this date. In default this filter is used in the field updated_iso.</p>"
        },
        {
          "kind": "optional",
          "name": "filter_by",
          "type": "string",
          "example": "created_iso",
          "description": "<p>Datetime filter field. Default value is updated_iso. Possible values are created_iso and updated_iso</p>"
        },
        {
          "kind": "optional",
          "name": "time_period",
          "type": "string",
          "description": "<p>If you dont want to use from and to you can use a time period to select data with a special period. Possible values are months, days, hours, minutes, seconds</p>"
        },
        {
          "kind": "optional",
          "name": "time_range",
          "type": "integer",
          "description": "<p>A time range is needed if you use the time_period parameter to select data. For exapmle you want tho get the last two months - time_period is months and time_range is 2</p>"
        },
        {
          "kind": "optional",
          "name": "id",
          "type": "integer",
          "description": "To filter the results you can pass here the id of your campaign"
        },
        {
          "kind": "optional",
          "name": "event_id",
          "type": "string",
          "description": "To filter the results you can pass here an event id. The results will put all products offered in this event."
        },
        {
          "kind": "optional",
          "name": "product_type",
          "type": "string",
          "description": "<p>To filter the results you can pass here the product type. The results will put all products with this type. Possible types are EventTicket, EventPackage, EventArticle.</p>"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Response for get products.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "get_products",
            "schema": [
              {
                "name": "total",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 9
              },
              {
                "name": "page",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 1
              },
              {
                "name": "size",
                "kind": "optional",
                "type": "integer",
                "description": "",
                "example": 9
              },
              {
                "name": "data",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 133876
                  },
                  {
                    "name": "type",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "EventTicket"
                  },
                  {
                    "name": "event_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 110250
                  },
                  {
                    "name": "shop_id",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 8528
                  },
                  {
                    "name": "name_de",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Tagesticket"
                  },
                  {
                    "name": "name_en",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "Day ticket"
                  },
                  {
                    "name": "amount",
                    "kind": "optional",
                    "type": "float",
                    "description": "",
                    "example": 27.99
                  },
                  {
                    "name": "amount_cents",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 2799
                  },
                  {
                    "name": "pos_amount",
                    "kind": "optional",
                    "type": "float",
                    "description": "",
                    "example": 29.99
                  },
                  {
                    "name": "pos_amount_cents",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 2999
                  },
                  {
                    "name": "customer_fees",
                    "kind": "optional",
                    "type": "integer",
                    "description": "in euro cents",
                    "example": 199
                  },
                  {
                    "name": "webmaster_fees",
                    "kind": "optional",
                    "type": "integer",
                    "description": "in euro cents",
                    "example": 199
                  },
                  {
                    "name": "status",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "active"
                  },
                  {
                    "name": "vat_percentage",
                    "kind": "optional",
                    "type": "float",
                    "description": "",
                    "example": 0.19
                  },
                  {
                    "name": "non_refundable",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": false
                  },
                  {
                    "name": "pos_possible",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": true
                  },
                  {
                    "name": "sales_start",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2025-10-01T00:00:00+02:00"
                  },
                  {
                    "name": "sales_end",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2025-10-31T00:00:00+02:00"
                  },
                  {
                    "name": "valid_from",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2026-01-01T00:00:00+02:00"
                  },
                  {
                    "name": "valid_until",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2026-01-01T20:00:00+02:00"
                  },
                  {
                    "name": "stats_group",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "dayvisa"
                  },
                  {
                    "name": "visibility",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "public"
                  },
                  {
                    "name": "extra_article",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": false
                  },
                  {
                    "name": "min_order",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 1
                  },
                  {
                    "name": "max_order",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 10
                  },
                  {
                    "name": "tags",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "day,entry"
                  },
                  {
                    "name": "article_group",
                    "kind": "optional",
                    "type": "hash",
                    "description": "",
                    "example": "{\"id\":\"1237\",\"name_de\":\"Tickets\",\"name_en\":\"Tickets\",\"slug\":\"dt\",\"priority\":1}"
                  },
                  {
                    "name": "article_variant",
                    "kind": "optional",
                    "type": "hash",
                    "description": "",
                    "example": "{\"id\":\"171\",\"name_de\":\"Tagestickets\",\"name_en\":\"Day tickets\",\"priority\":2}"
                  },
                  {
                    "name": "shop_image",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "ph_image",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "hard_image",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "sponsor_image",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "created_iso",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2025-08-01T10:00:10+02:00"
                  },
                  {
                    "name": "updated_iso",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": "2022-10-08T10:23:11+02:00"
                  },
                  {
                    "name": "priority",
                    "kind": "optional",
                    "type": "integer",
                    "description": "",
                    "example": 3
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/get_products",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Response for a failed authentification.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "not_authorized",
            "schema": [
              {
                "name": "message",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": "Unauthorized"
              }
            ],
            "modelRef": "#/components/schemas/not_authorized",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "example-0-curl",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://tnapi.ticketpay.de/exports/products \\\n     --header 'accept: application/json' \\\n     --header 'authorization: string'"
        },
        {
          "id": "example-1-javascript",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"authorization\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://tnapi.ticketpay.de/exports/products\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "example-2-ruby",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://tnapi.ticketpay.de/exports/products\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"authorization\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "example-3-python",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://tnapi.ticketpay.de/exports/products\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'authorization': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "example-0-curl"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Response for get products.\n{\n  \"total\": 9,\n  \"page\": 1,\n  \"size\": 9,\n  \"data\": [\n    {\n      \"id\": 133876,\n      \"type\": \"EventTicket\",\n      \"event_id\": 110250,\n      \"shop_id\": 8528,\n      \"name_de\": \"Tagesticket\",\n      \"name_en\": \"Day ticket\",\n      \"amount\": 27.99,\n      \"amount_cents\": 2799,\n      \"pos_amount\": 29.99,\n      \"pos_amount_cents\": 2999,\n      \"customer_fees\": 199,\n      \"webmaster_fees\": 199,\n      \"status\": \"active\",\n      \"vat_percentage\": 0.19,\n      \"non_refundable\": false,\n      \"pos_possible\": true,\n      \"sales_start\": \"2025-10-01T00:00:00+02:00\",\n      \"sales_end\": \"2025-10-31T00:00:00+02:00\",\n      \"valid_from\": \"2026-01-01T00:00:00+02:00\",\n      \"valid_until\": \"2026-01-01T20:00:00+02:00\",\n      \"stats_group\": \"dayvisa\",\n      \"visibility\": \"public\",\n      \"extra_article\": false,\n      \"min_order\": 1,\n      \"max_order\": 10,\n      \"tags\": \"day,entry\",\n      \"article_group\": \"{\\\"id\\\":\\\"1237\\\",\\\"name_de\\\":\\\"Tickets\\\",\\\"name_en\\\":\\\"Tickets\\\",\\\"slug\\\":\\\"dt\\\",\\\"priority\\\":1}\",\n      \"article_variant\": \"{\\\"id\\\":\\\"171\\\",\\\"name_de\\\":\\\"Tagestickets\\\",\\\"name_en\\\":\\\"Day tickets\\\",\\\"priority\\\":2}\",\n      \"shop_image\": \"\",\n      \"ph_image\": \"\",\n      \"hard_image\": \"\",\n      \"sponsor_image\": \"\",\n      \"created_iso\": \"2025-08-01T10:00:10+02:00\",\n      \"updated_iso\": \"2022-10-08T10:23:11+02:00\",\n      \"priority\": 3\n    }\n  ]\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Response for a failed authentification.\n{\n  \"message\": \"Unauthorized\"\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}